PDA

View Full Version : [ubuntu] I can't get VLC to install, broken packages (8.10)



notessensei
February 24th, 2009, 04:50 AM
I tried:
sudo apt-get install vlc
and got:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

Since you only requested a single operation it is extremely likely that
the package is simply not installable and a bug report against
that package should be filed.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
vlc: Depends: libavcodec1d (>= 0.cvs20070307) but it is not going to be installed
Depends: libavformat1d (>= 0.cvs20070307) but it is not going to be installed
Depends: vlc-nox (= 0.9.8a+x264snapshot20080928+faad2.6.1+2-1~ppa1) but it is not going to be installed
Depends: vlc-plugin-pulse but it is not going to be installed
E: Broken packages

In Synaptics vlc is marked as version 0.9.8a+x264snapshot20080928+faad2.6.1.+2-1~ppa (hardy)deb

My sources list looks like this:

http://archive.ubuntu.com/ubuntu/ intrepid main restricted
deb-src http://archive.ubuntu.com/ubuntu/ intrepid restricted main multiverse universe #Added by software-properties
deb http://archive.ubuntu.com/ubuntu/ intrepid-updates main restricted
deb-src http://archive.ubuntu.com/ubuntu/ intrepid-updates restricted main multiverse universe #Added by software-properties
deb http://archive.ubuntu.com/ubuntu/ intrepid universe
deb http://archive.ubuntu.com/ubuntu/ intrepid-updates universe
deb http://archive.ubuntu.com/ubuntu/ intrepid multiverse
deb http://archive.ubuntu.com/ubuntu/ intrepid-updates multiverse
deb http://archive.ubuntu.com/ubuntu/ intrepid-backports main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ intrepid-backports main restricted universe multiverse #Added by software-properties
deb http://archive.canonical.com/ubuntu intrepid partner
deb-src http://archive.canonical.com/ubuntu intrepid partner
deb http://archive.ubuntu.com/ubuntu/ intrepid-security main restricted
deb-src http://archive.ubuntu.com/ubuntu/ intrepid-security restricted main multiverse universe #Added by software-properties
deb http://archive.ubuntu.com/ubuntu/ intrepid-security universe
deb http://archive.ubuntu.com/ubuntu/ intrepid-security multiverse
deb http://packages.medibuntu.org/ intrepid free non-free
deb-src http://packages.medibuntu.org/ intrepid free non-free
deb http://dl.google.com/linux/deb/ stable non-free
deb http://ftp.osuosl.org/pub/pculture.org/miro/linux/repositories/ubuntu hardy/
deb http://ppa.launchpad.net/compiz/ubuntu intrepid main
deb http://ppa.launchpad.net/c-korn/ubuntu intrepid main
deb http://ftp.osuosl.org/pub/pculture.org/miro/linux/repositories/ubuntu intrepid/
deb http://ppa.launchpad.net/gilir/ubuntu intrepid main universe
deb http://packages.medibuntu.org/ intrepid free non-free
deb http://download.skype.com/linux/repos/debian/ stable non-free
deb http://ppa.launchpad.net/reacocard-awn/ubuntu intrepid main
deb http://ppa.launchpad.net/openoffice-pkgs/ubuntu intrepid main
deb-src http://ppa.launchpad.net/openoffice-pkgs/ubuntu intrepid main
deb http://download.virtualbox.org/virtualbox/debian intrepid non-free
deb http://ppa.launchpad.net/tualatrix/ubuntu intrepid main
deb-src http://ppa.launchpad.net/tualatrix/ubuntu intrepid main
## Hardy libs
deb http://www.tuxsoftware.com/repo/ hardy main
deb http://ppa.launchpad.net/compiz/ubuntu hardy main
deb http://ppa.launchpad.net/c-korn/ubuntu hardy main
deb http://ppa.launchpad.net/gilir/ubuntu hardy main universe
deb http://packages.medibuntu.org/ hardy free non-free
deb http://ppa.launchpad.net/reacocard-awn/ubuntu hardy main
deb http://ppa.launchpad.net/openoffice-pkgs/ubuntu hardy main
deb-src http://ppa.launchpad.net/openoffice-pkgs/ubuntu hardy main

I'm missing something. Help is very much appreciated.

Partyboi2
February 24th, 2009, 05:50 AM
Try disabling

deb http://ppa.launchpad.net/c-korn/ubuntu hardy main
Be careful mixing different release repos together as they can end up causing problems.

notessensei
February 24th, 2009, 10:44 AM
Be careful mixing different release repos together as they can end up causing problems.
Words of wisdom.
I had them (the Hardy libs) in when 8.10 was really fresh and some stuff was missing. Fixed the problem.
Thx